| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
fsdk::HumanAttributeResult::OutwearColorEstimation Struct Reference

HumanAttribute estimator outwear color output structure. This structure contains the result of outwear color estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range. More...

`#include <IHumanAttributeEstimator.h>`

## Public Member Functions
float | getScore (Color color) const
| Returns score of required outwear color. More...

## Public Attributes
bool | isBlack
| outwear is black
bool | isBlue
| outwear is blue
bool | isGreen
| outwear is green
bool | isGrey
| outwear is grey
bool | isOrange
| outwear is orange
bool | isPurple
| outwear is purple
bool | isRed
| outwear is red
bool | isWhite
| outwear is white
bool | isYellow
| outwear is yellow
bool | isPink
| outwear is pink
bool | isBrown
| outwear is brown
bool | isBeige
| outwear is beige
bool | isKhaki
| outwear is khaki
bool | isMulticolored
| outwear is multicolored
float | scores [static_cast< int >(Color::Count)]
| estimation scores

## Detailed Description

HumanAttribute estimator outwear color output structure. This structure contains the result of outwear color estimation and probability scores for each possible estimation result. Probability scores are defined in [0,1] range.

## Member Function Documentation

float fsdk::HumanAttributeResult::OutwearColorEstimation::getScore | ( | HumanAttributeResult::Color | color | ) | const
| inline

Returns score of required outwear color.

Parameters

  [in] | color | outwear color.

See Also
  Color for more info.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IHumanAttributeEstimator.h